Name:    pyotherside
Version: 1.6.0
Release: %mkrel 1
Summary: Asynchronous Python 3 Bindings for Qt 5
Group:   Development/KDE and Qt
License: ISC
URL:     https://github.com/thp/pyotherside/
Source0: https://github.com/thp/pyotherside/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5QuickTest)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: python3dist(sphinx)
BuildRequires: x11-server-xvfb

%description
A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.

%prep
%autosetup -p1

%build
%qmake_qt5
%make_build
%make_build -C docs SPHINXBUILD=sphinx-build-3 html

%check
# Tests require an X server, although it doesn't seem to be used for much
xvfb-run tests/tests

%install
%make_install INSTALL_ROOT=%{buildroot}
rm -rf %{buildroot}%{_qt5_testsdir}

%files
%{_qt5_qml}/io/thp/pyotherside
%doc docs/_build/html
%license LICENSE


%changelog
* Sat Sep 10 2022 neoclust <neoclust> 1.6.0-1.mga9
+ Revision: 1886588
- New version 1.6.0

* Tue Apr 05 2022 umeabot <umeabot> 1.5.9-4.mga9
+ Revision: 1844101
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1.5.9-3.mga9
+ Revision: 1774362
- Rebuild for python 3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 1.5.9-2.mga9
+ Revision: 1708096
- rebuild for python 3.9

* Sat Mar 14 2020 danf <danf> 1.5.9-1.mga8
+ Revision: 1556220
- imported package pyotherside

